Bug 1031374 - `yum update` should give reasoning for installing new packages
`yum update` should give reasoning for installing new packages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 07:47 EST by Jonas Wielicki
Modified: 2015-02-17 14:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:16:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of yum update --assumeno (244.46 KB, text/plain)
2013-11-17 07:47 EST, Jonas Wielicki
no flags Details

  None (edit)
Description Jonas Wielicki 2013-11-17 07:47:43 EST
Created attachment 825133 [details]
output of yum update --assumeno

Description of problem:
Running yum update currently will install lots of new packages on my system. I update regularily, every two or three days. The only change I did to my package system since the last update was `yum groups mark convert`, which yum suggested to me when I ran `yum grouplist` for other reasons.

This marked some groups as installed, and I guess that this is why new packages will now be installed, to resync the groups package list with my installed packages. It's all wild guessing though, because yum does not give any rationale on /why/ the new packages are installed (see attached yum output).

Version-Release number of selected component (if applicable):
3.4.3-111.fc19

How reproducible:
Always now that it is triggered.

Steps to Reproduce:
This is only wild guessing, because I do not know the exact reason.
1. (I guess) fedup your system some times so that group info is not consistent
2. yum groups mark convert
3. yum update

Actual results:
`yum update` installs 632 packages without giving a reason.

Expected results:
`yum update` should print a reason for the newly installed packages.

Additional info:
I took a snapshot of my /var/lib/yum and I'll delay the update for some more days in case you need more information.
Comment 1 Jonas Wielicki 2013-11-19 08:38:54 EST
I have by now verified, the installing of “random” packages vanishes if I clear the installed groups file (/var/lib/yum/groups).

I was able to reproduce it with a clean install of fedora 19 with the following steps:

1. Install fedora 19 (minimal)
2. run yum group mark convert
3. yum update
Comment 2 Adam Williamson 2013-12-15 05:04:30 EST
Filed #1043237 for 'group mark convert' being far too aggressive, which is related to this, but I think it's also a good idea for yum to be more clear about *why* it's installing additional packages, indeed.
Comment 3 Fedora End Of Life 2015-01-09 15:36:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:16:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.